package notification

type SmsAdapter interface {
	Send(phoneNumber string, message string)
}

type Service struct {
	smsAdapter SmsAdapter
}

func New(smsAdapter SmsAdapter) Service {
	return Service{
		smsAdapter: smsAdapter,
	}
}
